<!DOCTYPE html>
<html lang="es">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejercicio_5</title>
</head>
<body>
    <h1>Ejercicio 5</h1>

    <script>
    
    const sqrt = ( n ) => {
        return sqrt_helper( n, 1, n);
    }

    const sqrt_helper = ( n, min, max ) => {
        
        if ( max < min ) return -1; //no square root

        var  guess = Math.floor((( min + max ) / 2));
        //console.log(guess)
        if ( (guess * guess) === n ) { //found it
            return guess;
        } else if ( guess * guess < n ) { //too low
            return sqrt_helper( n, guess + 1, max ); //try higher
        } else { //too high
            return sqrt_helper( n, 1, guess - 1 ); //try lower
        }
    }

    let funcion = sqrt(100);
        console.log(funcion);

    </script>
    
</body>
</html>